Skip to main content
GET
/
suppressions
/
:id
curl https://api.unosend.co/suppressions/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer un_your_api_key"
{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "email": "bounced@example.com",
    "reason": "hard_bounce",
    "source_email_id": "email_abc123",
    "metadata": {
      "bounce_type": "Permanent",
      "bounce_subtype": "NoEmail",
      "diagnostic_code": "550 5.1.1 User unknown"
    },
    "created_at": "2024-01-15T10:30:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.unosend.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required
The unique identifier of the suppression

Response

id
string
Unique suppression identifier
email
string
Suppressed email address
reason
string
Reason for suppression: hard_bounce, spam_complaint, manual, unsubscribe
source_email_id
string
ID of the email that caused automatic suppression (if applicable)
metadata
object
Additional information about the suppression, such as bounce type or diagnostic codes
created_at
string
ISO 8601 timestamp
curl https://api.unosend.co/suppressions/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer un_your_api_key"
{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "email": "bounced@example.com",
    "reason": "hard_bounce",
    "source_email_id": "email_abc123",
    "metadata": {
      "bounce_type": "Permanent",
      "bounce_subtype": "NoEmail",
      "diagnostic_code": "550 5.1.1 User unknown"
    },
    "created_at": "2024-01-15T10:30:00.000Z"
  }
}